libdap::Array::dimension Struct Reference

`#include <Array.h>`

## Public Member Functions

| dimension (unsigned long s, string n)
| dimension (D4Dimension *d)

## Public Attributes

int | c_size
| Size of dimension once constrained. More...
D4Dimension * | dim
| If not null, a weak pointer to the D4Dimension. More...
string | name
| The name of this dimension. More...
int | size
| The unconstrained dimension size. More...
int | start
| The constraint start index. More...
int | stop
| The constraint end index. More...
int | stride
| The constraint stride. More...
bool | use_sdim_for_slice
| Used to control printing the DMR in data responses. More...

## Detailed Description

Information about a dimension. Each Array has one or more dimensions. For each of an Array's dimensions, a corresponding instance of this struct holds the natural size, name, constraint information and constrained size.

Note
  Instead of using this struct's fields directly, use Array's dimension accessor methods.
  This struct is public because its type is used in public typedefs.

Definition at line 125 of file Array.h.

## Member Data Documentation

## c_size

int libdap::Array::dimension::c_size

Size of dimension once constrained.

Definition at line 151 of file Array.h.

## dim

D4Dimension* libdap::Array::dimension::dim

If not null, a weak pointer to the D4Dimension.

Definition at line 138 of file Array.h.

## name

string libdap::Array::dimension::name

The name of this dimension.

Definition at line 136 of file Array.h.

## size

int libdap::Array::dimension::size

The unconstrained dimension size.

Definition at line 135 of file Array.h.

## start

int libdap::Array::dimension::start

The constraint start index.

Definition at line 148 of file Array.h.

## stop

int libdap::Array::dimension::stop

The constraint end index.

Definition at line 149 of file Array.h.

## stride

int libdap::Array::dimension::stride

The constraint stride.

Definition at line 150 of file Array.h.

## use_sdim_for_slice

bool libdap::Array::dimension::use_sdim_for_slice

Used to control printing the DMR in data responses.

Definition at line 146 of file Array.h.

The documentation for this struct was generated from the following files:

- Array.h
- Array.cc